Bug 93961 - virgl build failure after 2016-02-01 changes - no previous prototype for 'virgl_drm_winsys_create'
Summary: virgl build failure after 2016-02-01 changes - no previous prototype for 'vir...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-02 07:48 UTC by Fabio Pedretti
Modified: 2016-02-02 07:57 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2016-02-02 07:48:40 UTC
Full build log:
https://launchpadlibrarian.net/236003228/buildlog_ubuntu-xenial-amd64.mesa_11.2~git1602020730.7221b8~gd~x_BUILDING.txt.gz

Error:
  CC       virgl_drm_winsys.lo
../../../../../../../src/gallium/winsys/virgl/drm/virgl_drm_winsys.c:758:1: error: no previous prototype for 'virgl_drm_winsys_create' [-Werror=missing-prototypes]
 virgl_drm_winsys_create(int drmFD)
 ^
cc1: some warnings being treated as errors
Makefile:653: recipe for target 'virgl_drm_winsys.lo' failed
make[4]: *** [virgl_drm_winsys.lo] Error 1
Comment 1 Dave Airlie 2016-02-02 07:57:30 UTC
should be fixed in master now,

Thanks for the report.


bug/show.html.tmpl processed on Mar 30, 2017 at 08:55:44.
(provided by the Example extension).